#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2016-03-31
#
# wato plugin for cisco_wlc_mem plugin
#          


from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    Tuple,
    Integer,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)


def _parameter_valuespec_cisco_wlc_mem():
    return Dictionary(elements=[
        ('levels_upper',
         Tuple(
             title=_('Upper levels'),
             help=_('Set the maximum for memory utilization in %'),
             elements=[
                 Integer(title=_('Warning at'), unit='%', default_value=50, minvalue=0, maxvalue=100),
                 Integer(title=_('Critical at'), unit='%', default_value=70, minvalue=0, maxvalue=100)
             ],
         ),
         ),
    ])


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='cisco_wlc_mem',
        group=RulespecGroupCheckParametersNetworking,
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_cisco_wlc_mem,
        title=lambda: _('Cisco WLC memory utilization'),
    ))
